Subject: Re: bug#64360: error: ghc-onetuple: unbound variable

From: Simon Tournier <[email-masked]>
Date: Fri, 24 Nov 2023 15:43:26 +0100

Hi,

Could you confirm on i686 native machine that you are able to reproduce
the error with:

    $ guix time-machine --commit= 63660f0 -- shell yt-dlp

?

On Fri, 30 Jun 2023 at 02:56, Csepp <[email-masked]> wrote:

> $ guix shell yt-dlp
> Backtrace:
> In srfi/srfi-1.scm:
>    586:17 19 (map1 (#<<manifest-entry> name: "yt-dlp" version: "202…>))
> In guix/profiles.scm:
>   1932:19 18 (_ _)
> In guix/packages.scm:
>   1371:17 17 (supported-package? #<package [email-masked] gnu/pa…> …)
> In guix/memoization.scm:
>     101:0 16 (_ #<hash-table 23e5c90 0/31> #<package [email-masked]…> …)
> In guix/packages.scm:
>   1349:39 15 (_)
>   1611:16 14 (package->bag _ _ _ #:graft? _)
>   1715:47 13 (thunk)
> In gnu/packages/video.scm:
>   2615:11 12 (native-inputs #<package [email-masked] gnu/packages…>)
> In guix/packages.scm:
>   1371:17 11 (supported-package? #<package [email-masked] gnu/pack…> …)
> In guix/memoization.scm:
>     101:0 10 (_ #<hash-table 23e5c90 0/31> #<package [email-masked].…> …)
> In guix/packages.scm:
>   1349:39  9 (_)
>   1611:16  8 (package->bag _ _ _ #:graft? _)
>   1712:48  7 (thunk)
> In gnu/packages/haskell-xyz.scm:
>   9121:35  6 (inputs #<package [email-masked] gnu/packages/haskell-…>)
> In guix/packages.scm:
>   1424:32  5 (package-closure _ #:system _)
>   1611:16  4 (package->bag _ _ _ #:graft? _)
>   1712:48  3 (thunk)
> In gnu/packages/haskell-web.scm:
>    943:18  2 (inputs #<package [email-masked] gnu/packages/haskel…>)
> In ice-9/boot-9.scm:
>   1685:16  1 (raise-exception _ #:continuable? _)
>   1685:16  0 (raise-exception _ #:continuable? _)
>
> ice-9/boot-9.scm:1685:16: In procedure raise-exception:
> error: ghc-onetuple: unbound variable

> Running guix search ghc-onetuple indeed does not turn anything up.
> guix search ghc-aeson results in the same error halfway through
> outputting the description for ghc-aeson.

The package ghc-onetuple is defined.  As far I can read, it is as the
same place since 49a320aaa6fb4c20d6b30c56c35a8c7ffceed822:

        AuthorDate: Sun Jan 15 10:09:44 2023 +0100
        CommitDate: Sun Feb 26 10:26:07 2023 +0100

And in this report speaks elsewhere about
63660f0febb4aa0d5260791c82dfde15c0df4c79, which comes after:

        AuthorDate: Tue Jun 27 15:43:27 2023 -0400
        CommitDate: Tue Jun 27 15:43:27 2023 -0400

For instance, see [1].  Therefore, I do not think the issue comes from
that.  Running,

  $ guix time-machine --commit= 63660f0 -- shell -s i686-linux yt-dlp

I get the error:

    build of /gnu/store/n2yl83p37j9mazjh58d5fxixjiq188px-ghc-base64-0.4.2.4.drv failed

and the message reads:

--8<---------------cut here---------------start------------->8---
starting phase `check'
running "runhaskell Setup.hs" with command "test" and parameters ()
Running 1 test suites...
Test suite tasty: RUNNING...

Test suite tasty: FAIL
Test suite logged to: dist/test/base64-0.4.2.4-tasty.log
0 of 1 test suites (0 of 1 test cases) passed.
error: in phase 'check': uncaught exception:
%exception #<&invoke-error program: "runhaskell" arguments: ("-package-db=/tmp/guix-build-ghc-base64-0.4.2.4.drv-0/package.conf.d" "Setup.hs" "test") exit-status: 1 term-signal: #f stop-signal: #f>
phase `check' failed after 0.3 seconds
--8<---------------cut here---------------end--------------->8---

1: https://git.savannah.gnu.org/cgit/guix.git/tree/gnu/packages/haskell-xyz.scm?id=63660f0febb4aa0d5260791c82dfde15c0df4c79#n15164

Cheers,
simon